PaidGoods
API referenceAffiliates

Delete an affiliate tier (members move to the default tier)

DELETE
/v1/stores/{storeId}/affiliates/tiers/{tierId}

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string
tierId*string

Response Body

application/json

application/json

curl -X DELETE "https://example.com/v1/stores/string/affiliates/tiers/string"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "commissionBp": -9007199254740991,      "buyerDiscountBp": -9007199254740991,      "isDefault": true,      "isPublic": true,      "sortOrder": -9007199254740991,      "attributionMode": "per_order",      "attributionWindowDays": -9007199254740991,      "autoMinReferredMinor": -9007199254740991,      "overrides": [        {          "productId": "dcd53ddb-8104-4e48-8cc0-5df1088c6113",          "productName": "string",          "commissionBp": -9007199254740991        }      ],      "members": -9007199254740991    }  ],  "max": -9007199254740991}